std::add_const< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

typedef _Tp const | type

## Detailed Description

template<typename _Tp>
struct std::add_const< _Tp >

add_const

Definition at line 1401 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp >

typedef _Tp const std::add_const< _Tp >::type

Definition at line 1402 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits